#include<stdio.h>

int main () {

    /* variables */   
    int contador,final=100, menu;

    /* Menú de opciones a y b */
    pregunta:

    printf("Elige una opción:\n");
    printf("1   -->    Impar\n");
    printf("2   -->    Par\n\n");

    scanf("%d", &menu);

    /* Opción par o impar */
    switch (menu) {
        case 1:
            contador=1;
            puts("NÚMEROS IMPARES HASTA 100\n");
            break;
        case 2:
            contador=0;
            puts("NÚMEROS PARES HASTA 100\n");
            break;
        default:
            printf("\nNo es una opción\n\n");
            goto pregunta;
    }


   /* bucle */   
   while(contador<=final) {
      printf("%d\n", contador);
      contador=contador+2;
   }
 
   return 0;
}